Package net.shibboleth.idp.authn

# Interface SubjectCanonicalizer

All Superinterfaces:
  `Function<SubjectCanonicalizationContext,String>`

All Known Implementing Classes:
  `AbstractNameIDCanonicalizer`, `AbstractSubjectCanonicalizer`, `AttributeSourcedSubjectCanonicalization`, `FunctionSubjectCanonicalization`, `NameIDCanonicalization`, `NameIdentifierCanonicalization`, `SimpleSubjectCanonicalization`, `X500SubjectCanonicalization`

@ThreadSafe public interface SubjectCanonicalizer extends Function<SubjectCanonicalizationContext,String>
Marker interface for the ability to perform subject canonicalization "inline" without leveraging the Spring Webflow layer.

Most c14n implementations are functional and don't involve a user interface or views and do not need the full capability of SWF. Some implementations may choose to leverage it for code modularity or reuse reasons.

The output of this function is a SWF event string (`EventIds.PROCEED_EVENT_ID` on success), an event string on failure, or null to indicate this implementaton is inapplicable to the input and so did not run.

Since:
  5.2.0

## Method Summary

### Methods inherited from interface java.util.function.Function

`andThen, apply, compose`